using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsBudgetCodeClass
    {
        public FmsBudgetCodeClass()
        {
            FmsBudgetDetail = new HashSet<FmsBudgetDetail>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int BudgetClassId { get; set; }
        [Required]
        [StringLength(6)]
        public string BudgetSeq { get; set; }
        public int? RootBudgetClassId { get; set; }
        public int? ParentBudgetClassId { get; set; }
        public int Depth { get; set; }
        [Required]
        [StringLength(32)]
        public string Name { get; set; }
        [StringLength(16)]
        public string Abbreviation { get; set; }
        public bool? IsUse { get; set; }
        public double? YearlyBudget { get; set; }
        public double? MonthlyBudget { get; set; }

        [InverseProperty("FmsBudgetCodeClass")]
        public virtual ICollection<FmsBudgetDetail> FmsBudgetDetail { get; set; }
    }
}
